<?php
/*
|--------------------------------------------------------------------------
| 列表页
|--------------------------------------------------------------------------
*/
$method = 'list'; 
include(dirname(__FILE__) . DIRECTORY_SEPARATOR . 'common.php');
 
$view  
->fetch('#addstyle', 'manage/database.listStyle')    
->fetch('#list-desc', 'manage/database.info#list_desc')
# 新增的链接 @代表属性
->fetch('#list-add@href', 'manage/database.info#add')
->fetch('#list-add@style', 'manage/database.info#add_state')

->fetch('#list-parent@href', 'manage/database.info#parent')
->fetch('#list-parent@style', 'manage/database.info#parent_state')    

 
# 只对一部分数据进行接管，只接管table   
->fetch('#table_1@style', 'manage/database.page_list_table#s1')
->fetch('#table_1', 'manage/database.page_list_table#content')  
->fetch('#table_2@style', 'manage/database.page_list_table#s2') 

# 数据列表的搜索
->fetch('#search', 'manage/database.list_search')   
 
->fetch('#desc',	'manage/database.info#listDesc', 'none')
 
# 数据列表的标题 
->loop('#list-thead tr', 'manage/database.list_thead')      

# 数据列表 
->loop('#list-tbody','manage/database.list_tbody')  


# 数据列表
->fetch('#list-button','manage/database.list_button')    

# 批量管理的表单
->fetch('#mul','manage/database.list_mul')

# 表单的action
->fetch('#form1@action', 'manage/database.info#list')

# url的值
->fetch('#url@value', 'manage/database.info#mul')

# 分页
->fetch('#page','<{Dever::page("current")}>') 

# 总数据　加在头部里吧
->fetch('#list-desc', '<{Dever::load("manage/database.info#list_desc")}>(共<{Dever::total("current")}>条)')

# 数据结构
->fetch('#struct', 'manage/database.info#struct')
   
#banner
->render('banner:manage/database.banner:banner设定', array  
(
    '.topbar@style' => array('', 'none'),
    '.banner' => 'none',
))

# 将上边fetch的都显示出来
->display();
